<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:25 GMT 2019 -->
<title>Uses of Package board</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package board";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../index.html?board/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package board" class="title">Uses of Package<br>board</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../board/package-summary.html">board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#board">board</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#game">game</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#player">player</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="board">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../board/package-summary.html">board</a> used by <a href="../board/package-summary.html">board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../board/class-use/Colour.html#board">Colour</a>
<div class="block">Property Colours Enum</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../board/class-use/Property.html#board">Property</a>
<div class="block">Monopoly Property</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../board/class-use/PurchaseableSquare.html#board">PurchaseableSquare</a>
<div class="block">Any purchaseable square in monopoly</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../board/class-use/Square.html#board">Square</a>
<div class="block">An abstract square with base features</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../board/class-use/Transport.html#board">Transport</a>
<div class="block">Transport (Railroad) squares</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../board/class-use/Utilities.html#board">Utilities</a>
<div class="block">Utility Squares</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="game">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../board/package-summary.html">board</a> used by <a href="../game/package-summary.html">game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../board/class-use/Board.html#game">Board</a>
<div class="block">Generates a board from a file containing board information, 
 and handles inputs and outputs from it</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../board/class-use/PurchaseableSquare.html#game">PurchaseableSquare</a>
<div class="block">Any purchaseable square in monopoly</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../board/class-use/Square.html#game">Square</a>
<div class="block">An abstract square with base features</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="player">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../board/package-summary.html">board</a> used by <a href="../player/package-summary.html">player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../board/class-use/Board.html#player">Board</a>
<div class="block">Generates a board from a file containing board information, 
 and handles inputs and outputs from it</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../board/class-use/Property.html#player">Property</a>
<div class="block">Monopoly Property</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../board/class-use/PurchaseableSquare.html#player">PurchaseableSquare</a>
<div class="block">Any purchaseable square in monopoly</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../board/class-use/Square.html#player">Square</a>
<div class="block">An abstract square with base features</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../index.html?board/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
